package com.kmall.admin.service;

import com.kmall.admin.entity.GoodsEntity;
import com.kmall.admin.entity.OfflineCartEntity;

import java.util.List;
import java.util.Map;

/**
 * Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-11-29 15:14:59
 */
public interface OfflineCartService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    OfflineCartEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<OfflineCartEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param offlineCart 实体
     * @return 保存条数
     */
    int save(OfflineCartEntity offlineCart);

    /**
     * 根据主键更新实体
     *
     * @param offlineCart 实体
     * @return 更新条数
     */
    int update(OfflineCartEntity offlineCart);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    int deleteByUserId(long userId);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);

    List<OfflineCartEntity> offlineGoodsCart(GoodsEntity goods);
}
